Package org.eclipse.jface.viewers

# Class DoubleClickEvent

java.lang.Object
java.util.EventObject
org.eclipse.jface.viewers.DoubleClickEvent

All Implemented Interfaces:
  `Serializable`

public class DoubleClickEvent extends EventObject
Event object describing a double-click. The source of these events is a viewer.

See Also:
  - `IDoubleClickListener`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ISelection`
`selection`
The selection.

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`DoubleClickEvent(Viewer source, ISelection selection)`
Creates a new event for the given source and selection.

## Method Summary

Modifier and Type
Method
Description
`ISelection`
`getSelection()`
Returns the selection.
`Viewer`
`getViewer()`
Returns the viewer that is the source of this event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### selection

protected ISelection selection
The selection.

## Constructor Details

### DoubleClickEvent

public DoubleClickEvent(Viewer source, ISelection selection)
Creates a new event for the given source and selection.

Parameters:
  `source` - the viewer
  `selection` - the selection

## Method Details

### getSelection

public ISelection getSelection()
Returns the selection.

Returns:
  the selection

### getViewer

public Viewer getViewer()
Returns the viewer that is the source of this event.

Returns:
  the originating viewer